function init(hero) {
    hero.setName("Piscciss Volann");
    hero.setTier(6);
    
    hero.setHelmet("Jaws");
    hero.setChestplate("Torso");
    hero.setLeggings("Kilt");
    hero.setBoots("Feet");
    
    hero.addPowers("ben:piscciss_volann_physiology");
    hero.addAttribute("PUNCH_DAMAGE", 5.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 1.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 2.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.4, 1);
    hero.addAttribute("FALL_RESISTANCE", 5.0, 0);
    hero.addAttribute("BASE_SPEED_LEVELS", 2.0, 0);
    
    hero.addKeyBind("SUPER_SPEED", "key.superSpeed", 1);

    hero.setModifierEnabled(isModifierEnabled);
    hero.setKeyBindEnabled(isKeyBindEnabled);
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:super_speed":
        return entity.isInWater();
    case "fiskheroes:flight":
        return entity.isInWater();
    default:
        return true;
    }
}

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    case "SUPER_SPEED":
        return entity.isInWater();
    default:
        return true;
    }
}